Added
-
Api Tokens → Retrieve an API token: Endpoint is now available, which allows to retrieve an API token by its identifier, without exposing its secret value.
-
Api Tokens → Invalidate an API token: Endpoint is now available, which allows to invalidate an API token that should no longer be used.
-
Api Tokens → List API tokens: Endpoint is now available, which allows to list your organization’s tokens and your own personal tokens, newest first, without their secret values.
Changed
-
Ats → Retrieve the ATS activity timeline: Added
CANDIDATE_FOLLOW_UP_REMINDERas a valid value forcategoryin the response and thecategoriesquery parameter, and addedCANDIDATE_FOLLOW_UP_REMINDER_CREATED,CANDIDATE_FOLLOW_UP_REMINDER_UPDATED,CANDIDATE_FOLLOW_UP_REMINDER_COMPLETED, andCANDIDATE_FOLLOW_UP_REMINDER_DELETEDas valid values foroperation_typein the response. -
Eor → Get amendment data points configuration by country: Added
HOURLY_RATEas a valid value foritemin the response. -
Eor Amendments → Validate amendment data points: Added
scopeandjob_titleas declared fields in the request bodydataobject. -
People → Create a direct employee: Added
invitationin the request that controls whether to send an invitation email to the new hire. -
Onboarding → List onboarding employees: Added
bannersto the response (data[].overview) that lists all banners for the onboarding; addedHS_OBLIGATIONS_PENDINGas a valid value foroverview.banner.key; addedSET_UP_HEALTH_SAFETYas a valid value foroverview.banner.action. -
Onboarding → Get onboarding details by employee HRIS profile ID: Added
bannersarray in the response that lists all pending banners for the worker; addedHS_OBLIGATIONS_PENDINGas a valid value forbanner.key; addedSET_UP_HEALTH_SAFETYas a valid value forbanner.action. -
Onboarding → Get onboarding details by onboarding tracker ID: Added
bannersarray in the response that lists all client-action banners; addedHS_OBLIGATIONS_PENDINGas a valid value forbanner.keyandSET_UP_HEALTH_SAFETYas a valid value forbanner.action. -
It Assets → List IT assets: Added
USED_AS_SPARE_PARTas a valid value forstatusin the response. -
Time Off → Get Policies for Organization: Added
Work away from officeas a valid value forpolicy_typein the request. -
Time Off → List policies: Added
Work away from officeas a valid value forpolicy_type_namein the request. -
Time Off → Get Profile Entitlements: Added
Work away from officeas a valid value forpolicy_type_namein the request. -
Time Off → Process time-off requests from an external HRIS: Added
Work away from officeas a valid value forpolicy_typein the request. -
Time Off → List time-off requests for Organization: Added
Work away from officeas a valid value forpolicy_type_namesin the request. -
Time Off → List time-off requests: Added
Work away from officeas a valid value forpolicy_type_namesin the request. -
Invoice Adjustments → Retrieve invoice adjustment by ID: Added
newas a valid value forstatusin the response, andgp_client_agreementas a valid value forcontract.typein the response. -
Invoice Adjustments → List invoice adjustments: Added
download_urlto the responseattachmentobject that provides a time-limited URL to download the attachment; addednewas a valid value forstatusin the response andstatusesquery parameter; addedgp_client_agreementas a valid value forcontract.typein the response.